<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.0-beta1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-0evHe/X+R7YkIZDRvuzKMRqM+OrBnVFBL6DOitfPri4tjfHxaWutUpFmBp4vmVor"
      crossorigin="anonymous"
    />
    <title>Document</title>
  </head>
  <body>
    <div id="app">
      <h1>{{titulo}}</h1>
      <input
        type="text"
        v-model="nuevaFruta"
        placeholder="Nombre de la fruta"
        v-on:keyup.enter="agregarFruta"
      />
      <input
        type="number"
        v-model.number="nuevaCantidad"
        placeholder="Cantidad"
        v-on:keyup.enter="agregarFruta"
      />
      <button v-on:click="agregarFruta">Agregar</button>
      <ul>
        <li v-for="(fruta, index) in frutas" :key="index">
          Hay <input type="number" v-model.number="fruta.cantidad" min="0" />
          <button v-on:click="aumentarFruta(index)">+</button>
          <button v-on:click="disminuirFruta(index)">-</button>
          <!-- <button v-on:click="fruta.cantidad--">-</button> -->
          unidades de {{fruta.nombre}} -
          <strong>
            <span v-if="fruta.cantidad === 0">Agotado (X) </span>
            <span v-else>Con stock</span>
          </strong>
        </li>
      </ul>
      <h3>Total: {{sumarFrutas}}</h3>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
    <script src="./index.js"></script>
  </body>
</html>
